<h1>Formularios Reactivos!!</h1>
  
<br><br>

<form [formGroup]="form" (ngSubmit)="submit()">
      
    <div>
        <span class="p-float-label">
            <input class="form-control" id="float-input" type="text" pInputText> 
            <label for="float-input">Username</label>
        </span>
    
        <div *ngIf="f.name.touched && f.name.invalid" class="alert alert-danger">
            <div *ngIf="f.name.errors.required">Name is required.</div>
            <div *ngIf="f.name.errors.minlength">Name should be 3 character.</div>
        </div>
    </div>
   
    <div>
        <span class="p-float-label">
            <input formControlName="email" class="form-control" id="float-input" type="text" pInputText> 
            <label for="float-input">Email</label>
        </span>
        
        <div *ngIf="f.email.touched && f.email.invalid" class="alert alert-danger">
            <div *ngIf="f.email.errors.required">Email is required.</div>
            <div *ngIf="f.email.errors.email">Please, enter valid email address.</div>
        </div>
    </div>
   
    <div>
        <span class="p-float-label">
            <textarea  
                formControlName="body"
                id="body" 
                type="text" 
                class="form-control"
                pInputTextarea >
            </textarea>
            <label for="float-input">Body</label>
        </span>
        <div *ngIf="f.body.touched && f.body.invalid" class="alert alert-danger">
            <div *ngIf="f.body.errors.required">Body is required.</div>
        </div>
    </div>
  
    <button pButton label="Secondary" type="submit" class="p-button-outlined p-button-secondary p-button-raised p-button-rounded"></button>

</form>
